# osgUtil::RegisterRenderBinProxy Class Reference

Proxy class for automatic registration of renderbins with the RenderBin prototypelist. More...

List of all members.

## Public Member Functions

| RegisterRenderBinProxy (const std::string &binName, RenderBin *proto)
| ~RegisterRenderBinProxy ()

## Protected Attributes

osg::ref_ptr< RenderBin > | _rb

## Detailed Description

Proxy class for automatic registration of renderbins with the RenderBin prototypelist.

## Constructor & Destructor Documentation

osgUtil::RegisterRenderBinProxy::RegisterRenderBinProxy | ( | const std::string & | binName,
|  | RenderBin * | proto
| ) | `[inline]`

osgUtil::RegisterRenderBinProxy::~RegisterRenderBinProxy | ( |  | ) | `[inline]`

## Member Data Documentation

osg::ref_ptr<RenderBin> osgUtil::RegisterRenderBinProxy::_rb `[protected]`

The documentation for this class was generated from the following file:

- RenderBin